Skip to content

nodes / migrateall ​

1 operation.

POST /nodes/{node}/migrateall ​

ts
proxmox.nodes.$(node).migrateall.$post()

Migrate all VMs and Containers.

Returns string.

ParameterTypeRequiredNotes
max-workersnumberMaximal number of parallel migration job. If not set, uses'max_workers' from datacenter.cfg. One of both must be set! — min 1, max 64
maxworkersnumberMaximal number of parallel migration job. If not set, uses'max_workers' from datacenter.cfg. One of both must be set!Deprecated, use 'max-workers' instead. — min 1, max 64
nodestringyesThe cluster node name. — format pve-node
targetstringyesTarget node. — format pve-node
vmsstringOnly consider Guests with these IDs. — format pve-vmid-list
with-local-disksbooleanEnable live storage migration for local disk